<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>icalreport</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="hidetask.html">hidetask</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="include.macro.html">include (macro)</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">icalreport</td>
     </tr></table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>Generates an RFC5545 compliant iCalendar file. This file can be used to export task information to calendar applications or other tools that read iCalendar files.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>icalreport &lt;file name&gt; &lt;STRING&gt; [{ &lt;attributes&gt; }]</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="1">Arguments</td>
      <td class="descr">file name</td>
      <td class="descr"><div>The name of the report file to generate without an extension. Use . to use the standard output channel.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2"><a href="properties.html">properties</a></td>
     </tr>
    </table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="20%"></col>
      <col width="20%"></col>
      <col width="20%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag" rowspan="10">Attributes</td>
      <td class="tag">Name</td>
      <td class="tag">Scen. spec.</td>
      <td class="tag">Inh. fm. Global</td>
      <td class="tag">Inh. fm. Parent</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="end.report.html">end (report)</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="hidejournalentry.html">hidejournalentry</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="hideresource.html">hideresource</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="hidetask.html">hidetask</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="period.report.html">period (report)</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="rollupresource.html">rollupresource</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="rolluptask.html">rolluptask</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="scenario.ical.html">scenario (ical)</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="start.report.html">start (report)</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
     </tr>
    </table></p>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="hidetask.html">hidetask</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="include.macro.html">include (macro)</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
